settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true
console.info('Scripts have been reloaded')
//function to make seed recipes
let reconstructorRecipes = (output, input, essence, ept, custommachine, duration) => {
  onEvent('recipes', event => {
  event.remove({output: output})
  event.recipes.custommachinery
  .custom_machine("custommachinery:seed_reconstructor", 100)
  .requireItem(Item.of(input, 4))
  .requireItem(Item.of(essence, 4))
  .requireItem(Item.of("mysticalagriculture:inferium_seeds", 1))
  .requireEnergyPerTick(ept)
  .produceItem(Item.of(output, 1))
  })
}

onEvent('recipes', event => {
  reconstructorRecipes("mysticalagriculture:wood_seeds","minecraft:oak_log","mysticalagriculture:inferium_essence",50)
})

onEvent('recipes', event => {
  reconstructorRecipes("mysticalagriculture:dirt_seeds","minecraft:dirt","mysticalagriculture:inferium_essence",50)
})

onEvent('recipes', event => {
  reconstructorRecipes("mysticalagriculture:stone_seeds","minecraft:stone","mysticalagriculture:inferium_essence",50)
})